Subject: Re: bash, javac, and relative paths
From: [email-masked] (Joao Pedro Sousa)

20 Jan 1998 02:58:03 -0800
Message-ID: <[email-masked]>
References: <5030300016775618000002L082*@MHS>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Michael Werts <[email-masked]>, <[email-masked]>

At 14:18 15-01-1998 -0500, Michael Werts wrote:
>I am trying to use the b18 version of bash with JDK 1.1.5.  When I invoke the
>java compiler on a relative
>path, i.e.
>
>     javac sunw/demo/juggler/Juggler.java      (compiling class Juggler)
>
>I get an error which says class Juggler must be in a file named
"Juggler.java,"
>which, of course, it is. The
>compiler works fine if I am in the same directory.  It also works fine
from the
>NT shell.

This is not bash related.
Javac does not accept paths in the filename to be compiled.

--
JPSousa

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".